/*
 * @Author: Kane
 * @Date: 2023-10-06 01:30:29
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/dataimport/ImportTelsalersResponse.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.dataimport;

import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class ImportTelsalersResponse extends QueryResponse
{
    public ImportTelsalersResponse( boolean success, String message, int importedCount )
    {
        super( success, message );

        this.importedCount = importedCount;
    }

    public ImportTelsalersResponse()
    {
        super();

        importedCount = 0;
    }

    public int getImportedCount()
    {
        return importedCount;
    }

    public void setImportedCount( int importedCount )
    {
        this.importedCount = importedCount;
    }

    @Override
    public String toString()
    {
        return "ImportTelsalersResponse [importedCount=" + importedCount + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + importedCount;
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( !super.equals( obj ) )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        ImportTelsalersResponse other = (ImportTelsalersResponse) obj;
        if ( importedCount != other.importedCount )
            return false;
        return true;
    }

    // 导入的结果数量
    @JsonProperty( "importedCount" )
    private int importedCount;
}
